#
# spec file for package python-pylama
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pylama
Version:        6.0.0
Release:        3.2
Summary:        Code audit tool for python
License:        LGPL-3.0
Group:          Development/Languages/Python
Url:            https://github.com/klen/pylama
Source:         https://pypi.python.org/packages/source/p/pylama/pylama-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-flake8
BuildRequires:  python-flake8-docstrings
BuildRequires:  python-mccabe
BuildRequires:  python-setuptools
Requires:       python-flake8
Requires:       python-flake8-docstrings
Requires:       python-mccabe
Recommends:     python-pylama_pylint
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Code audit tool for Python and JavaScript. Pylama wraps these tools:

* PEP8_ © 2012-2013, Florent Xicluna;
* PEP257_  © 2012, GreenSteam, <http://greensteam.dk/>
* PyFlakes_ © 2005-2013, Kevin Watters;
* Mccabe_ © Ned Batchelder;

%prep
%setup -q -n pylama-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{_bindir}/pylama
%{python_sitelib}/pylama/
%{python_sitelib}/pylama-%{version}-py*.egg-info

%changelog
* Thu Jul 10 2014 toddrme2178@gmail.com
- Update to 6.0.0
  - No upstream changelog
* Mon Mar 24 2014 toddrme2178@gmail.com
- Initial version
